timestamp.hpp File Reference
`#include <cassert>`
`#include <cstdint>`
`#include <ctime>`
`#include <iosfwd>`
`#include <limits>`
`#include <stdexcept>`
`#include <string>`
`#include <osmium/util/compatibility.hpp>`
`#include <osmium/util/minmax.hpp>`
Include dependency graph for timestamp.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::Timestamp

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

constexpr Timestamp | osmium::start_of_time () noexcept
constexpr Timestamp | osmium::end_of_time () noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, Timestamp timestamp)
bool | osmium::operator== (const Timestamp &lhs, const Timestamp &rhs) noexcept
bool | osmium::operator!= (const Timestamp &lhs, const Timestamp &rhs) noexcept
bool | osmium::operator< (const Timestamp &lhs, const Timestamp &rhs) noexcept
bool | osmium::operator> (const Timestamp &lhs, const Timestamp &rhs) noexcept
bool | osmium::operator<= (const Timestamp &lhs, const Timestamp &rhs) noexcept
bool | osmium::operator>= (const Timestamp &lhs, const Timestamp &rhs) noexcept
template<>
osmium::Timestamp | osmium::min_op_start_value< osmium::Timestamp > ()
template<>
osmium::Timestamp | osmium::max_op_start_value< osmium::Timestamp > ()